mbed TLS v2.23.0

Data Fields
mbedtls_ecdh_context Struct Reference

The ECDH context structure. More...

`#include <ecdh.h>`

Collaboration diagram for mbedtls_ecdh_context:
[legend]

## Data Fields
mbedtls_ecp_group | grp
mbedtls_mpi | d
mbedtls_ecp_point | Q
mbedtls_ecp_point | Qp
mbedtls_mpi | z
int | point_format
mbedtls_ecp_point | Vi
mbedtls_ecp_point | Vf
mbedtls_mpi | _d

## Detailed Description

The ECDH context structure.

Warning
  Performing multiple operations concurrently on the same ECDSA context is not supported; objects of this type should not be shared between multiple threads.

Definition at line 106 of file ecdh.h.

## Field Documentation

## ◆ _d

mbedtls_mpi mbedtls_ecdh_context::_d

The previous `d`.

Definition at line 117 of file ecdh.h.

## ◆ d

mbedtls_mpi mbedtls_ecdh_context::d

The private key.

Definition at line 110 of file ecdh.h.

## ◆ grp

mbedtls_ecp_group mbedtls_ecdh_context::grp

The elliptic curve used.

Definition at line 109 of file ecdh.h.

## ◆ point_format

int mbedtls_ecdh_context::point_format

The format of point export in TLS messages.

Definition at line 114 of file ecdh.h.

## ◆ Q

mbedtls_ecp_point mbedtls_ecdh_context::Q

The public key.

Definition at line 111 of file ecdh.h.

## ◆ Qp

mbedtls_ecp_point mbedtls_ecdh_context::Qp

The value of the public key of the peer.

Definition at line 112 of file ecdh.h.

## ◆ Vf

mbedtls_ecp_point mbedtls_ecdh_context::Vf

The unblinding value.

Definition at line 116 of file ecdh.h.

## ◆ Vi

mbedtls_ecp_point mbedtls_ecdh_context::Vi

The blinding value.

Definition at line 115 of file ecdh.h.

## ◆ z

mbedtls_mpi mbedtls_ecdh_context::z

The shared secret.

Definition at line 113 of file ecdh.h.

The documentation for this struct was generated from the following file:

- ecdh.h